## org.opencyc.xml
Class ImportSonatDaml

    java.lang.Object
      |
      +--org.opencyc.xml.ImportDaml
            |
            +--org.opencyc.xml.ImportSonatDaml

All Implemented Interfaces:
  com.hp.hpl.jena.rdf.arp.StatementHandler

public class ImportSonatDaml
extends ImportDaml

Imports DAML xml content for the DAML SONAT ontologies.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Inner Class Summary
`protected class` `ImportSonatDaml.DamlDocInfo` Provides a container for specifying the SONAT DAML document paths and the Cyc import microtheory for each.

Inner classes inherited from class org.opencyc.xml.ImportDaml
`ImportDaml.DamlRestriction, ImportDaml.DamlTermInfo, ImportDaml.MyErrorHandler`

Field Summary
`protected java.util.ArrayList` `damlDocInfos` the list of DAML documents and import microtheories
`protected java.lang.String` `damlSonatSpindleCollectorMt` collector (bottom) of the SONAT DAML microtheory spindle
`protected java.lang.String` `damlSonatSpindleHeadMt` head of the SONAT DAML microtheory spindle

Fields inherited from class org.opencyc.xml.ImportDaml
`actuallyImport, arp, bookkeepingMt, characterEncoding, cycAccess, damlOntologyDefiningURL, damlOntologyDefiningURLString, damlRestriction, DEFAULT_VERBOSITY, equivalentDamlCycTerms, importMt, importMtName, kbSubsetCollection, kbSubsetCollectionName, ontologyNicknames, previousDamlTermInfo, verbosity`

Constructor Summary
`ImportSonatDaml()` Constructs a new ImportSonatDaml object.

Method Summary
`protected void` `doImport()` Import the SONAT DAML ontologies into Cyc.
`protected void` `initializeDamlVocabulary()` Initializes the DAML ontology vocabulary if not present.
`protected void` `initializeDocumentsToImport()` Initializes the documents to import.
`protected void` `initializeMappedTerms()`
`protected void` `initializeOntologyNicknames()` Initializes the Ontology nicknames mapping.
`static void` `main(java.lang.String[] args)` Provides the main method for the ImportSonatDaml application.

Methods inherited from class org.opencyc.xml.ImportDaml

`additionalLexicalAssertions, assertArgumentMapping, assertArgumentMapping, assertForwardArgConstraints, assertMapping, assertMapping, damlTermInfoWrapper, damlTermInfoWrapperTest, displayTriple, escaped, getMappings, getMappings, getOntologyNickname, hasUriNamespaceSyntax, importArg1Isa, importArg2Isa, importComment, importConceptuallyRelated, importContainsInformationAbout, importDaml, importDaml, importGenlPreds, importGenls, importImports, importIsa, importLiteralTriple, importNameString, importSynonymousExternalConcept, importTerm, importTriple, importVersionInfo, initialize, initializeCommonDamlVocabulary, initializeCommonMappedTerms, initializeCommonOntologyNicknames, initializeDamlOntologyMt, isProbableUri, literal, processRestrictionObject, processRestrictionSubject, processRestrictionSubject, resource, setOntologyNickname, setVerbosity, statement, statement, translateResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### damlDocInfos

    protected java.util.ArrayList damlDocInfos

  the list of DAML documents and import microtheories

### damlSonatSpindleHeadMt

    protected java.lang.String damlSonatSpindleHeadMt

  head of the SONAT DAML microtheory spindle

### damlSonatSpindleCollectorMt

    protected java.lang.String damlSonatSpindleCollectorMt

  collector (bottom) of the SONAT DAML microtheory spindle

Constructor Detail

### ImportSonatDaml

    public ImportSonatDaml()
                    throws java.io.IOException,
                           java.net.UnknownHostException,
                           CycApiException

  Constructs a new ImportSonatDaml object.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Provides the main method for the ImportSonatDaml application.
  Parameters:
    `args` - ignored.

### doImport

    protected void doImport()
                     throws java.io.IOException,
                            java.net.UnknownHostException,
                            CycApiException

  Import the SONAT DAML ontologies into Cyc.

### initializeDocumentsToImport

    protected void initializeDocumentsToImport()

  Initializes the documents to import.

### initializeOntologyNicknames

    protected void initializeOntologyNicknames()

  Initializes the Ontology nicknames mapping.

### initializeMappedTerms

    protected void initializeMappedTerms()
                                  throws java.io.IOException,
                                         java.net.UnknownHostException,
                                         CycApiException

### initializeDamlVocabulary

    protected void initializeDamlVocabulary()
                                     throws java.io.IOException,
                                            java.net.UnknownHostException,
                                            CycApiException

  Initializes the DAML ontology vocabulary if not present.